# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo.impl
Class GeoRssBox

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.geo.impl.GeoRssBox

All Implemented Interfaces:
  Extension, Box

    public class GeoRssBox

extends ValueConstruct
implements Box

A georss:box that contains 2 points, like: 42.943 -71.032 43.039 -69.856

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GeoRssBox()` Constructs an empty georss:box element.
`GeoRssBox(Box box)` Constructs a georss:box element by copying the data from the given box.
`GeoRssBox(java.lang.Double lowerLat, java.lang.Double lowerLon, java.lang.Double upperLat, java.lang.Double upperLon)` Constructs a georss:box element with the given set of points.
`GeoRssBox(Point lowerLeft, Point upperRight)` Constructs a georss:box element with the given bounding points.

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description and is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns the suggested extension description with configurable repeatability.
`Point` `getLowerLeft()` Gets the lower left point.
`Point` `getUpperRight()` Gets the upper right point.
`void` `setGeoLocation(Point lowerLeft, Point upperRight)` Sets the coordinates of this box.
`void` `setValue(java.lang.String v)` Sets the value.
`java.lang.String` `toString()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### GeoRssBox

    public GeoRssBox()

  Constructs an empty georss:box element.

### GeoRssBox

    public GeoRssBox(java.lang.Double lowerLat,
                     java.lang.Double lowerLon,
                     java.lang.Double upperLat,
                     java.lang.Double upperLon)

  Constructs a georss:box element with the given set of points.

### GeoRssBox

    public GeoRssBox(Point lowerLeft,
                     Point upperRight)

  Constructs a georss:box element with the given bounding points.

### GeoRssBox

    public GeoRssBox(Box box)

  Constructs a georss:box element by copying the data from the given box. Will call the `GeoRssBox(Point, Point)` constructor with the parts of the passed in box, or with nulls if the box itself is null.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns the suggested extension description with configurable repeatability.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description and is repeatable.

### getLowerLeft

    public Point getLowerLeft()

  Gets the lower left point.

  Specified by:
    `getLowerLeft` in interface `Box`
  Returns:
    the point that represents the lower-left coordinate of the box.

### getUpperRight

    public Point getUpperRight()

  Gets the upper right point.

  Specified by:
    `getUpperRight` in interface `Box`
  Returns:
    the point that represents the upper-right coordinate of the box.

### setGeoLocation

    public void setGeoLocation(Point lowerLeft,
                               Point upperRight)

  Description copied from interface: `Box`
  Sets the coordinates of this box. Both lowerLeft and upperRight must be non-null or both must be null. Implementations will throw an IllegalArgumentException if one is null and the other non-null.

  Specified by:
    `setGeoLocation` in interface `Box`
  Parameters:
    `lowerLeft` - the lower left coordinate. The latitude of this point must be below the latitude of the upper right coordinate.
    `upperRight` - the upper right coordinate. The latitude of this point must be above the latitude of the lower left coordinate.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setValue

    public void setValue(java.lang.String v)

  Description copied from class: `ValueConstruct`
  Sets the value. Subclasses can override this method to do additional validation of the value.

  Overrides:
    `setValue` in class `ValueConstruct`
  Parameters:
    `v` - new value for the value construct or `null` to reset.